Subject: bug#59544: [PATCH] Fixed lib-src/etags.c command execute vulnerability

From: Stefan Kangas <[email-masked]>
Date: Fri, 25 Nov 2022 00:56:32 -0800

"lux" <[email-masked]> writes:

>> Hmm, I'm not sure about the hard-coded 512 character line limit here.
>> ISTR that some people use much longer lines than that.
>
> Hi, do you have any suggestions? At present, I think hardcoding 512 is
> enough, thanks :-)

No idea, really.  2^16?  2^20?

But why not allocate it dynamically, getting rid of any such arbitrary
limits?  AFAIU, grep (which we used before) doesn't have such limits, so
I fear that we otherwise risk introducing regressions.